marker = createMarker(-1880.21912, -1658.92617, 21.75802, "cylinder", 5, 100, 0, 255, 0)
setElementData(marker, 'marker:data', {name='Złomowisko', icon='destroying-car',size=2})
marker2 = createMarker(-1894.45410, -1659.82068, 23.01563,"cylinder",1.1,100,0,255,0)
setElementData(marker2, 'marker:data', {name='Złomowanie pojazdów', icon='tuning',size=1})
colsphere = createColSphere ( -1880.21912, -1658.92617, 21.75802, 3.5 )
cmtaZLOMOWISKOAKTYWNE = false

function hit(el,md)
    if not md or getElementType(el) ~= "player" then return end
        local vehicles=getElementsWithinColShape(colsphere,"vehicle")
        if #vehicles ~= 1 then exports['cmta-notyfikacje']:sendNotification(el,"#FF0000Wykryto nieprawidłowość!\n#ffffffW punkcie złomowania musi być\nmaksymalnie jeden pojazd.","error",4000) return end
        if not getElementData(vehicles[1],"vehicle:data").id then exports['cmta-notyfikacje']:sendNotification(el,"#FF0000Wykryto nieprawidłowość!\n#ffffffTen pojazd nie jest prywatny.","error",4000) return end
        if getElementData(vehicles[1],"vehicle:data").ownedPlayer ~= getElementData(el,"player:data").uid then exports['cmta-notyfikacje']:sendNotification(el,"#FF0000Wykryto nieprawidłowość!\n#ffffffNie jesteś właścicielem tego pojazdu.","error",4000) return end
        local result=exports["cmta-db"]:dbGet("select * from cmta_carshowroom WHERE id=?",getElementModel(vehicles[1]))
        if result and #result > 0 then
        triggerClientEvent(el,'cmta:zlomowisko:showGUI',resourceRoot,vehicles[1],result[1]["price"])
        end
    end
addEventHandler( "onMarkerHit", marker2, hit)

addEvent('pssm:zlomowisko:destroy',true)
addEventHandler('pssm:zlomowisko:destroy',resourceRoot,function(veh,price)
    if cmtaZLOMOWISKOAKTYWNE == true then exports['cmta-notyfikacje']:sendNotification(client,"#FF0000Wykryto nieprawidłowość!\n#ffffffProces złomowania jest jeszcze aktywny.","error",4000) return end
    cmtaZLOMOWISKOAKTYWNE = true
	local vehicles=getElementsWithinColShape(colsphere,"vehicle")
	if #vehicles ~= 1 then exports['cmta-notyfikacje']:sendNotification(client,"#FF0000Wykryto nieprawidłowość!\n#ffffffW punkcie złomowania może być\nmaksymalnie jeden pojazd.","error",4000) return end
    if getElementData(vehicles[1],"vehicle:data").id ~= veh then return end
    local result=exports["cmta-db"]:dbGet("select * from cmta_carshowroom WHERE id=?",getElementModel(vehicles[1]))
    
    obj = createObject(1328,-1880.96887, -1657.79175, 21.75000)
    setElementAlpha(obj,0)
    attachElementToElement ( vehicles[1], obj, 0, 0, 0 )
    setElementRotation(obj,0,0,215)
    triggerClientEvent(client, "cmta:zlomowisko:render", resourceRoot,vehicles[1])  
    local data = getElementData(client,"player:data")
    data.points = data.points+price
    setElementData(client,"player:data",data)
    exports["cmta-db"]:dbSet("DELETE from cmta_pojazdy WHERE id=?",veh)
    moveObject(obj,2000,-1878.45679, -1661.77173, 21.75000-0.5)
setElementFrozen(client,true)
    setTimer(function()
    moveObject(obj,500,-1878.45679, -1661.77173, 21.75000-0.5,30,0,0)
    end,1500,1)
    
    setTimer(function()
    moveObject(obj,12000,-1857.69531, -1690.44202, 41.58594-0.3)
    end,2000,1)
    
    setTimer(function()
        moveObject(obj,500,-1857.69531, -1690.44202, 41.58594-0.3,-30,0,0)
    end,13500,1)
    
    
    setTimer(function()
        moveObject(obj,4000,-1852.19214, -1698.76123, 40.86719-0.4)
    end,14000,1)

    setTimer(function()
    
    setTimer(function()
        destroy(vehicles[1])
        for i, v in pairs(getVehicleOccupants(vehicles[1])) do
           killPed(v)
        end
        cmtaZLOMOWISKOAKTYWNE = false
        triggerClientEvent(root, "cmta:zlomowisko:effects", resourceRoot,vehicles[1])    
    end,2000,1)
    
    setTimer(function()
    destroyElement(vehicles[1])
    destroyElement(obj)
    end,9000,1)
    
    end,18000,1)
end)

function destroy(veh)
    setVehicleDoorState(veh,0,4)
    setVehicleDoorState(veh,1,4)
    setVehicleDoorState(veh,2,4)
    setVehicleDoorState(veh,3,4)
    setVehicleDoorState(veh,4,4)
    setVehicleDoorState(veh,5,4)
    setVehicleWheelStates(veh,2,2,2,2)
    setVehicleColor(veh,0,0,0,0,0,0,0,0,0,0,0,0)
    setVehicleOverrideLights ( veh, 1 ) 
end
